/**
  ******************************************************************************
  * @file    vks118.h 
  * @author  kevin_guo
  * @version V1.2
  * @date    05-17-2020
  * @brief   Header files for vks118
  ******************************************************************************
  * @attention
  ******************************************************************************
  */

/* Define to prevent recursive inclusion -------------------------------------*/
#ifndef __VKS118_H
#define __VKS118_H

/* Includes ------------------------------------------------------------------*/
//˰ļݿͻƬӦ޸
#include "M451Series.h"
/* Exported types ------------------------------------------------------------*/
/* Exported constants --------------------------------------------------------*/
/* Exported macro ------------------------------------------------------------*/
/* Exported define -----------------------------------------------------------*/
//
#define OSC_OFF    	0x00         				// ر
#define OSC_ON    	0x01         				// 
#define DISP_OFF 		0x02								// LCD Bias
#define DISP_ON   	0x03         				// LCD Bias
//seg
//0BIAS 100%DUTY
#define 	VKS118_SEGNUM			118

//¹ܽøݿͻƬӦ޸ 
#define VKS118_CS1_PIN         BIT12
#define VKS118_CS1_PORT        PA
#define VKS118_CS1_IO          PA12
#define VKS118_CS2_PIN         BIT11
#define VKS118_CS2_PORT        PA
#define VKS118_CS2_IO          PA11

#define VKS118_RD_PIN         BIT14
#define VKS118_RD_PORT        PA
#define VKS118_RD_IO          PA14

#define VKS118_WR_PIN         BIT13
#define VKS118_WR_PORT        PA
#define VKS118_WR_IO          PA13

#define VKS118_DAT_PIN        BIT15
#define VKS118_DAT_PORT       PA
#define VKS118_DAT_IO         PA15

//¹ܽݿͻƬӦ޸
#define VKS118_CS1_H() 				VKS118_CS1_IO = 1 	//CS͸ߵƽ
#define VKS118_CS1_L() 				VKS118_CS1_IO = 0 	//CS͵͵ƽ 
#define VKS118_CS2_H() 				VKS118_CS2_IO = 1 	//CS͸ߵƽ
#define VKS118_CS2_L() 				VKS118_CS2_IO = 0 	//CS͵͵ƽ 

#define VKS118_RD_H() 				VKS118_RD_IO = 1 	//RD͸ߵƽ 
#define VKS118_RD_L() 				VKS118_RD_IO = 0 	//RD͵͵ƽ 

#define VKS118_WR_H() 				VKS118_WR_IO = 1 	//WR͸ߵƽ 
#define VKS118_WR_L() 				VKS118_WR_IO = 0 	//WR͵͵ƽ 

#define VKS118_DATA_H() 			VKS118_DAT_IO = 1 //WR͸ߵƽ 
#define VKS118_DATA_L() 			VKS118_DAT_IO = 0 //WR͵͵ƽ 
/* Exported functions ------------------------------------------------------- */
void Vks118_Init(void);
void Vks118_DisAll(unsigned char dat);
void Vks118_DisSegComOn(unsigned char seg,unsigned char com);
void Vks118_DisSegComOff(unsigned char seg,unsigned char com);

void Vks118_Main(void);
#endif  /*__VKS118_H*/

/************************END OF FILE****/
